# expand-reflinks [![NPM version](https://img.shields.io/npm/v/expand-reflinks.svg?style=flat)](https://www.npmjs.com/package/expand-reflinks) [![NPM downloads](https://img.shields.io/npm/dm/expand-reflinks.svg?style=flat)](https://npmjs.org/package/expand-reflinks) [![Build Status](https://img.shields.io/travis/jonschlinkert/expand-reflinks.svg?style=flat)](https://travis-ci.org/jonschlinkert/expand-reflinks)

Expand variables in reflinks.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save expand-reflinks
```

Expands this:

```
[abc]: [bar]/abc/[foo]
[fez]: [qux]/fez
[qux]: [baz]/qux
[baz]: [bar]/baz
[bar]: [foo]/bar [foo]: 123
```

To this:

```
[abc]: 123/bar/abc/123
[fez]: 123/bar/baz/qux/fez
[qux]: 123/bar/baz/qux
[baz]: 123/bar/baz
[bar]: 123/bar\n
[foo]: 123
```

## Usage

```js
var expandReflinks = require('expand-reflinks');
console.log(expandReflinks('[bar]: [foo]/bar\n[foo]: 123'));
//=> '[bar]: 123/bar\n[foo]: 123'
```

## About

### Related projects

* [gulp-format-md](https://www.npmjs.com/package/gulp-format-md): Gulp plugin for beautifying markdown using pretty-remarkable. | [homepage](https://github.com/jonschlinkert/gulp-format-md "Gulp plugin for beautifying markdown using pretty-remarkable.")
* [gulp-reflinks](https://www.npmjs.com/package/gulp-reflinks): Gulp plugin for `reflinks`. Lints a markdown string to find missing reflinks for npm package… [more](https://github.com/jonschlinkert/gulp-reflinks) | [homepage](https://github.com/jonschlinkert/gulp-reflinks "Gulp plugin for `reflinks`. Lints a markdown string to find missing reflinks for npm package names, resolves the homepage or repository url from npm, and appends a valid reflink to the document.")
* [reflinks](https://www.npmjs.com/package/reflinks): Generate (relative) reference links for a glob of markdown files, allowing you to more easily… [more](https://github.com/jonschlinkert/reflinks) | [homepage](https://github.com/jonschlinkert/reflinks "Generate (relative) reference links for a glob of markdown files, allowing you to more easily create references from one file to another.")

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

Please read the [contributing guide](contributing.md) for avice on opening issues, pull requests, and coding standards.

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

### License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/jonschlinkert/expand-reflinks/blob/master/LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.1.28, on July 29, 2016._